import javax.swing.*;

public class H4_Oefening4
{
  public static void main(String[] args)
  {
    String get;
    int getal, deler=1, rest;

    get=JOptionPane.showInputDialog("Geef een getal dat groter is dan 0");
    getal=Integer.parseInt(get);
    if (getal >0)
    {
       while (deler<=getal)
       {
		 rest=getal%deler;
         if(rest==0)
         	JOptionPane.showMessageDialog(null,"Een deler: "+deler);
         deler=deler+1;
       }
    }
    else JOptionPane.showMessageDialog(null,"Het getal is kleiner dan 0 ");

    System.exit(0);
  }
}